javaws(1)

NAME
javaws - a Java Web Start client

SYNOPSIS
javaws [-run-options] jnlp-file
javaws [-control-option]

DESCRIPTION
javaws is an implementation of a JNLP client. It uses a JNLP (Java Network Launch Protocol) file to securely run a remote Java application or a Java applet. This implementation of javaws is from the IcedTea project and is based on the NetX project.

A JNLP file is an xml file that describes how to securely run a remote Java application or a Java applet.

OPTIONS
When specifying options, the name of the jnlp file must be the last argument to javaws - all the options must preceede it.

The jnlp-file can either be a url or a local path.

Control Options

By default javaws will launch the jnlp file specified on the command line. The control options can be used to change this behaviour.

-about
    Shows about dialog.

-viewer
    Shows the trusted certificate viewer. This allows a user to list, examine, remove or export trusted certificates. Note that this only reflects the certificates trusted by javaws and not any other certificates or programs.

Run Options

In the default mode, the following run-options can be used:

-version
    Prints out version and exit

-arg arg
    Adds an application argument before launching.

-param name=value
    Adds an applet parameter before launching.

-property name=value
    Sets a system property before launching.

-update seconds
    Update check if seconds since last checked.

-license
    Display the GPL license and exit.

-verbose
    Enable verbose output. Very useful in debugging.

-nosecurity
    Disables the secure runtime environment.

-noupdate
    Disables checking for updates.

-headless
    Disables download window, other UIs.

-strict
    Enables strict checking of JNLP file format. Any deviations from the JNLP DTD will cause javaws to abort.

-xml
    The jnlp files will be checked more strictly for XML validity

-allowredirect
    Allow to follow 301, 302, 303, 307 and 308 redirections for javaws applications

-Xnofork
    Do not create another JVM, even if the JNLP file asks for running in a separate JVM. This is useful for debugging.

-Xclearcache
    Clean the JNLP application cache.

-Xignoreheaders
    Skip jar header verification.

-Jjava-option
    This passes along java-option to the java binary that is running javaws. For example, to make javaws run with a max heap size of 80m, use -J-Xmx80m.

-help
    Print a help message and exit.

FILES
$XDG_CONFIG_DIR/icedtea-web/deployment.properties specifies the settings used by javaws $XDG_CONFIG_DIR/icedtea-web/log (may be set to different location by you) contains file log files (if enabled). itw-cplugin-date_time.log for native part of plugin, itw-javantx-date_time.log for everything else. $XDG_CONFIG_DIR/icedtea-web/security/java.policy contains granted permissions for selected unsigned apps $XDG_CONFIG_DIR/icedtea-web/security/trusted.*certs contains various stored certificates $XDG_CACHE_DIR/icedtea-web/cache contains cached runtime entries (amy be changed by you) $XDG_CACHE_DIR/icedtea-web/pcache contains saved application data $XDG_CACHE_DIR/icedtea-web/tmp contains temporary runtime files $XDG_RUNTIME_DIR/icedteaplugin-user-*/ contains in and out pipe for native<->java communication and (if enabled) debugging pipe Where $XDG_CONFIG_DIR, $XDG_CACHE_DIR and $XDG_RUNTIME_DIR are set as ~/.config, ~/.cache and /tmp or /var/tmp if not set.

BUGS
There arent any known bugs. If you come across one, please file it at
    http://icedtea.classpath.org/bugzilla/
Please run javaws in debug (-verbose switch or itw-settings setting or ICEDTEAPLUGIN_DEBUG variable set to true) mode and include that output (best is from java console) with URL to jnlp or html file (ot the jnlp/html file or application itself) when filing out the bug report.

AUTHOR
Originally written by Jon. A. Maxwell.
Currently maintained by the IcedTea contributors. See javaws -about for more info

SEE ALSO
java(1)
http://icedtea.classpath.org/wiki/IcedTea-Web